Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/pnmixer: new aport

From: Taner Tas <taner76_at_gmail.com>
Date: Thu, 6 Apr 2017 20:30:38 +0000

https://github.com/nicklan/pnmixer
PNMixer is a simple mixer application designed to run in system tray.
---
 testing/pnmixer/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/pnmixer/APKBUILD
diff --git a/testing/pnmixer/APKBUILD b/testing/pnmixer/APKBUILD
new file mode 100644
index 00000000..a6b7647a
--- /dev/null
+++ b/testing/pnmixer/APKBUILD
_at_@ -0,0 +1,31 @@
+# Contributor: Taner Tas <taner76_at_gmail.com>
+# Maintainer: Taner Tas <taner76_at_gmail.com>
+pkgname=pnmixer
+pkgver=0.7.1_rc3
+_distver=0.7.1-rc3
+pkgrel=0
+pkgdesc="PNMixer is a simple mixer application designed to run in system tray."
+url="https://github.com/nicklan/pnmixer"
+arch="all"
+license="GPL"
+makedepends="cmake gettext gtk+2.0-dev alsa-lib-dev libnotify-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/nicklan/pnmixer/archive/v${_distver}.tar.gz"
+builddir="${srcdir}/${pkgname}-${_distver}"
+build() {
+	cd "$builddir"
+	cmake . \
+	-DCMAKE_BUILD_TYPE=Release \
+	-DCMAKE_INSTALL_PREFIX=/usr \
+	-DWITH_GTK3=OFF \
+	|| return 1
+	make 
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="1c8317c2496bf5651511b2bee681369ab9ff268b7a9105ff82db253b783ef95de18e68faef12561b1542c9457b05dd243b6b7d8d16388f923e64f88dca536a62  pnmixer-0.7.1_rc3.tar.gz"
-- 
2.12.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Apr 06 2017 - 20:30:38 GMT